Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_EventTypeSeq Class Reference

Allows operations using the CosNotification::EventTypeSeq type. More...

`#include <EventTypeSeq.h>`

Inheritance diagram for TAO_NS_EventTypeSeq:

[legend]
Collaboration diagram for TAO_NS_EventTypeSeq:

[legend]
List of all members.

## Public Methods
| TAO_NS_EventTypeSeq (void)
| Constructor. More...
| TAO_NS_EventTypeSeq (const CosNotification::EventTypeSeq &event_type_seq)
void | init (TAO_NS_EventTypeSeq &added, TAO_NS_EventTypeSeq &removed)
| Preprocess the types added and removed. More...
void | intersection (const TAO_NS_EventTypeSeq &rhs, const TAO_NS_EventTypeSeq &lhs)
| Populate this sequence with the intersection of rhs and lhs. More...
void | insert_seq (const CosNotification::EventTypeSeq &event_type_seq)
| insert_seq the contents of <event_type_seq> into this object. More...
void | remove_seq (const CosNotification::EventTypeSeq &event_type_seq)
| remove_seq the contents of <event_type_seq> from this object. More...
void | insert_seq (const TAO_NS_EventTypeSeq &event_type_seq)
| insert_seq the contents of <event_type_seq> into this object. More...
void | remove_seq (const TAO_NS_EventTypeSeq &event_type_seq)
| remove_seq the contents of <event_type_seq> from this object. More...
void | populate (CosNotification::EventTypeSeq &event_type) const
| Populate <event_type_seq> with the contents of this object. More...
void | populate_no_special (CosNotification::EventTypeSeq &event_type) const
| Populate <event_type_seq> with the contents of this object. More...
void | dump (void)
| Print the contents. More...
## Private Types
typedef ACE_Unbounded_Set< TAO_NS_EventType > | inherited

## Detailed Description

Allows operations using the CosNotification::EventTypeSeq type.

## Member Typedef Documentation

typedef ACE_Unbounded_Set<TAO_NS_EventType> TAO_NS_EventTypeSeq::inherited`[private]`

## Constructor & Destructor Documentation

TAO_NS_EventTypeSeq::TAO_NS_EventTypeSeq | ( | void |  | ) |

| Constructor.

TAO_NS_EventTypeSeq::TAO_NS_EventTypeSeq | ( | const CosNotification::EventTypeSeq & | event_type_seq | ) |

## Member Function Documentation

void TAO_NS_EventTypeSeq::dump | ( | void |  | ) |

| Print the contents.

void TAO_NS_EventTypeSeq::init | ( | TAO_NS_EventTypeSeq & | seq_added,
|  | TAO_NS_EventTypeSeq & | seq_remove
| ) |

| Preprocess the types added and removed.

void TAO_NS_EventTypeSeq::insert_seq | ( | const TAO_NS_EventTypeSeq & | event_type_seq | ) |

| insert_seq the contents of <event_type_seq> into this object.

void TAO_NS_EventTypeSeq::insert_seq | ( | const CosNotification::EventTypeSeq & | event_type_seq | ) |

| insert_seq the contents of <event_type_seq> into this object.

void TAO_NS_EventTypeSeq::intersection | ( | const TAO_NS_EventTypeSeq & | rhs,
|  | const TAO_NS_EventTypeSeq & | lhs
| ) |

| Populate this sequence with the intersection of rhs and lhs.

void TAO_NS_EventTypeSeq::populate | ( | CosNotification::EventTypeSeq & | event_type_seq | ) | const

| Populate <event_type_seq> with the contents of this object.

void TAO_NS_EventTypeSeq::populate_no_special | ( | CosNotification::EventTypeSeq & | event_type_seq | ) | const

| Populate <event_type_seq> with the contents of this object.

void TAO_NS_EventTypeSeq::remove_seq | ( | const TAO_NS_EventTypeSeq & | event_type_seq | ) |

| remove_seq the contents of <event_type_seq> from this object.

void TAO_NS_EventTypeSeq::remove_seq | ( | const CosNotification::EventTypeSeq & | event_type_seq | ) |

| remove_seq the contents of <event_type_seq> from this object.

The documentation for this class was generated from the following files:

- EventTypeSeq.h
- EventTypeSeq.cpp